# Get card template Get card template. Templates are used to overwrite program card BIN defaults. To create a template, you need to open a Pismo [Service Desk](doc:service-desk) request. The ticket type should be **Settings**. For more information, refer to the [BIN override](doc:bin-override-feature) guide. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Templates", "description": "Card template (BIN override) endpoints." } ], "components": { "schemas": { "BIN": { "type": "string", "description": "Bank Identification Number (BIN). A 6 or 8 digit number identitying the card network, issuer, and product.", "example": "87634277" }, "GetTemplateByIdResponse": { "type": "object", "properties": { "template_id": { "$ref": "#/components/schemas/TemplateID" }, "org_id": { "$ref": "#/components/schemas/OrgID" }, "override_program_id": { "type": "integer", "description": "Program ID", "example": 8675 }, "bin_range_beginning": { "type": "string", "description": "BIN range beginning", "example": "1500" }, "bin_range_end": { "type": "string", "description": "BIN range end", "example": "2500" }, "bin": { "$ref": "#/components/schemas/BIN" } } }, "OrgID": { "type": "string", "description": "Organization/tenant ID", "example": "TN-f878e4a1-2879-48ba-be16-821e73ac98db" }, "TemplateID": { "type": "string", "description": "Template ID. Templates are used to implement the BIN override feature. For more information, refer to the [BIN override](https://developers.pismo.io/pismo-docs/docs/bin-override-feature) guide.\n", "example": "EAFA693A-57B2-4029-97F3-D20D6F06D79B" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "404NotFound": { "description": "The specified resource was not found" }, "409Conflict": { "description": "Specified resource status conflict with current request" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/cards/v1/templates/{templateID}": { "get": { "operationId": "get-card-template-by-id", "summary": "Get card template", "description": "Get card template. Templates are used to overwrite program card BIN defaults. \n\nTo create a template, you need to open a Pismo [Service Desk](https://developers.pismo.io/pismo-docs/docs/service-desk) request. The ticket type should be **Settings**. For more information, refer to the [BIN override](https://developers.pismo.io/pismo-docs/docs/bin-override-feature) guide.\n", "tags": [ "Templates" ], "parameters": [ { "in": "path", "name": "templateID", "description": "Template ID. Templates are used to implement the BIN override feature. For more information, refer to the BIN override documentation in the [Cards overview](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#bin-override---shared-account-option) guide. To create a template, you need to open a Pismo [Service Desk](https://developers.pismo.io/pismo-docs/docs/service-desk) request. The ticket type should be **Settings**.\n", "schema": { "type": "string" }, "required": true, "example": "EAFA693A-57B2-4029-97F3-D20D6F06D79B" } ], "responses": { "200": { "description": "Card template", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetTemplateByIdResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "404": { "$ref": "#/components/responses/404NotFound" }, "409": { "$ref": "#/components/responses/409Conflict" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```